farsight (0.1.25-0osso12) unstable; urgency=low

  * Oops, put back little function call that was removed erroneously in the
    previous commit

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Thu, 24 Apr 2008 12:08:29 -0400

farsight (0.1.25-0osso11) unstable; urgency=low

  * Make the async for the transmitter sink independant from the test of the
    pipeline, Fixes: NB#84096 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed, 23 Apr 2008 15:40:03 -0400

farsight (0.1.25-0osso10) unstable; urgency=low

  * Fix codec list pointer when removing dynamic duplicate PT, Fixes: NB#81647
  * Zero-initialize the address for the udp transmitter, Fixes: NB#80876

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Tue, 04 Mar 2008 11:42:51 -0500

farsight (0.1.25-0osso9) unstable; urgency=low

  * Add new property : reserved-pt-list, Fixed: NB#74120

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Thu, 14 Feb 2008 14:44:33 -0500

farsight (0.1.25-0osso8) unstable; urgency=low

  * Rename fgvalve to fsvalve to follow upstream, Fixes: NB#80104 
  * Improve packaging

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Thu, 31 Jan 2008 02:09:05 -0500

farsight (0.1.25-0osso7) unstable; urgency=low

  * Bump queue-delay for the jitterbuffer to 500ms 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Thu, 27 Sep 2007 12:03:47 -0400

farsight (0.1.25-0osso6) unstable; urgency=low

  * Use new FgValve element to prevent lockups, etc 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Tue, 25 Sep 2007 12:13:42 -0400

farsight (0.1.25-0osso5) unstable; urgency=low

  * Specify max resolution to be QCIF at 15fps, the device can't handle more 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Tue, 25 Sep 2007 07:08:55 -0400

farsight (0.1.25-0osso4.1) unstable; urgency=low

  * added -doc package

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Fri, 21 Sep 2007 12:16:48 +0300

farsight (0.1.25-0osso4) unstable; urgency=low

  * Prevent preload_codecs from being called if the remote codecs haven't been
    set
  * Don't go into playing to early to prevent loss of keyframe, 
    Fixes: NB#56456

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Fri, 21 Sep 2007 03:12:59 -0400

farsight (0.1.25-0osso3) unstable; urgency=low

  * Set priorities for sockets based on media type

 -- Jussi Laako <jussi.laako@nokia.com>  Mon, 3 Sep 2007 17:35:25 +0300

farsight (0.1.25-0osso2) unstable; urgency=low

  * Enable DTX

 -- Jussi Laako <jussi.laako@nokia.com>  Mon, 3 Sep 2007 16:54:15 +0300

farsight (0.1.25-0osso1) unstable; urgency=low

  * Support DTMF tone generator
  * Properly stop GSources on stun timeout

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed, 29 Aug 2007 16:32:54 -0400

farsight (0.1.24-osso1) unstable; urgency=low

  * Sync with upstream 0.1.24
  * Separate the received and offered codecs, Fixes: NB#55309
  * Ignore invalid STUN replies, Fixes: NB#65376 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed, 22 Aug 2007 15:13:21 -0400

farsight (0.1.23-0osso5) unstable; urgency=low

  * Do not crash when there is no valid local codec. Fixes: NB#66056 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Fri, 17 Aug 2007 16:27:55 -0400

farsight (0.1.23-0osso4) unstable; urgency=low

  * Use top_builddir and not top_srcdir for the builddir
  * Build libfarsight before the plugins 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed, 15 Aug 2007 18:16:15 -0400

farsight (0.1.23-0osso3) unstable; urgency=low

  * Link the plugins against the farsight lib
  * Put h263-n800 as h263-1998 in caps
  * Dont do synchronous blocking when stopping stream
  * Oops, removed the pt for the dtmfsrc improperly. Fixes: NB#65766

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed, 15 Aug 2007 17:39:16 -0400

farsight (0.1.23-0osso2) unstable; urgency=low

  * Fix broken 0.1.23-0osso1 release

 -- Philippe Kalaf <philippe.kalaf@collabora.co.uk>  Fri, 10 Aug 2007 16:56:58 -0400

farsight (0.1.23-0osso1) unstable; urgency=low

  * Add brand new codec negotiation system supporting optional params
  * New autoplugging code supporting multiple RTP caps per element
  * Plenty of other fixes

 -- Philippe Kalaf <philippe.kalaf@collabora.co.uk>  Fri, 10 Aug 2007 16:38:58 -0400

farsight (0.1.22-0osso2) unstable; urgency=low

   * Tell farsight bin to manage it's own element's async_start/done messages, 
    Fixes: NB#63238
   * Putting this line here as dtmf fixes were commited but never
    mentioned in the changelog, Fixes: NB#63155

 -- Philippe Kalaf <philippe.kalaf@collabora.co.uk>  Tue,  7 Aug 2007 16:51:16 -0400

farsight (0.1.22-0osso1) unstable; urgency=low

  * Advertise DTMF event, use RFC4733 dtmf, Fixes: NB#63809
  * Fix detection of the iLBC codec, Fixes: NB#64299
  * Preloading codecs
  * STUN shutdown does not crash anymore
  * Misc fixes 
 
 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Fri, 3 Aug 2007 17:13:00 -0400

farsight (0.1.21-0osso3.2) unstable; urgency=low

  * Bumping up the version for buildrobot.

 -- Zeeshan Ali <zeeshan.ali@nokia.com>  Wed, 25 Jul 2007 15:00:19 +0300

farsight (0.1.21-0osso3.1) unstable; urgency=low

  * package naming scheme changed

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Wed, 11 Jul 2007 14:29:19 +0300

farsight (0.1.21-0osso3) unstable; urgency=low

  * Properly fix pt_map_table, really Fixes: NB#62472 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed,  4 Jul 2007 18:44:42 -0400

farsight (0.1.21-0osso2) unstable; urgency=low

  * Fix to make the pt_map table more correct.
  * Change mode on ilbc depayloader from 1 to 30 in gstelements.conf,
    this requires gst-plugins-good 0.10.6, Fixes: NB#62298

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed,  4 Jul 2007 17:48:14 -0400

farsight (0.1.21-0osso1) unstable; urgency=low

  * Works with gstreamer 0.10.13.
  * Does not crash when there are no codecs present
  * Makes a different between the current and requested directins
  * Codec associations no longer are global (they are per-stream) 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed, 27 Jun 2007 11:47:23 -0400

farsight (0.1.18-0osso1) unstable; urgency=low

  *  Use even port for rawudp by default, Fixes: NB#54085
  *  Use gst klass as a list, not a path, Fixes: NB#52987
  *  Pass relay-server properly to jingle 0.3.11
  *  Misc fixes
 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Thu, 26 Apr 2007 14:55:03 -0400

farsight (0.1.17-0osso2) unstable; urgency=low

  *  Add min-ptime property to stream (passed to payloader)
  *  Add DTMF support using rtpdtmfsrc and rtpdtmfmuxer
  *  Misc small fixes

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Tue,  3 Apr 2007 18:26:47 -0400

farsight (0.1.15-0osso7) unstable; urgency=low

  * Only activate ghostpad if internal pad is active (makes it compatible with
    gst 0.10.9)
  * Sync the state of the source element if its part of our pipeline 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Tue,  3 Apr 2007 18:26:47 -0400

farsight (0.1.15-0osso3.1) unstable; urgency=low

  * .la files removed from dev packages

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Wed, 28 Mar 2007 13:24:12 +0300

farsight (0.1.15-0osso3) unstable; urgency=low

  * Set pads active before adding them to possibly playing elements 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Mon, 26 Mar 2007 19:25:03 -0400

farsight (0.1.15-0osso2) unstable; urgency=low

  * Bug fix, did not work if CONNECTED before the base pipeline is built 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Mon, 26 Mar 2007 12:59:40 -0400

farsight (0.1.15-0osso1) unstable; urgency=low

  * Fix reference leaks preventing transmitter module unloading
  * Fix the way the pipeline status is handled to make it compatible with
    rawudp and stun

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Thu, 22 Mar 2007 15:14:00 -0400

farsight (0.1.14-0osso2.1) unstable; urgency=low

  * Hantro plugin was removed from run-time dependency

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Thu, 22 Mar 2007 11:46:14 +0200

farsight (0.1.14-0osso2) unstable; urgency=low

  * Forgot files

 -- Olivier Crete <olivier.crete@collabora.co.uk>  Fri,  9 Mar 2007 17:51:12 -0500

farsight (0.1.14-0osso1) unstable; urgency=low

  * New version because 0.1.13-1 is in G...

 -- Olivier Crete <olivier.crete@collabora.co.uk>  Fri,  9 Mar 2007 17:51:12 -0500

farsight (0.1.12-0osso1) unstable; urgency=low

  * Dynamic (unloadable) plugins for sessions and transmitters
  * Add stun support to the rawudp transmitter
  * misc bugfixes

 -- Olivier Crete <olivier.crete@collabora.co.uk>  Fri,  9 Mar 2007 16:58:06 -0500

farsight (0.1.13-1osso1) unstable; urgency=low

  * new product release

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Thu, 15 Feb 2007 16:56:37 +0200

farsight (0.1.11-0osso3) unstable; urgency=low

  * Rework the jingle main thread handling a bit, related to thread leak fix

 -- Jussi Laako <jussi.laako@nokia.com>  Thu, 23 Nov 2006 16:15:00 +0200

farsight (0.1.11-0osso2) unstable; urgency=low

  * Check that pipeline isn't NULL for set_sending() get_source()
  Fixes: NB#48082
  * Update STUN server used by libjingle
  Fixes: NB#46898
  * Update gstelement.conf to include tolerant-mode for hantro decoder

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Tue, 21 Nov 2006 17:24:23 -0500

farsight (0.1.11-0osso1) unstable; urgency=low

  * Dont send SINK_PAD_READY signal for now and link as previously
  * Leaking ref fixes
  * Block source src pad before unlinking and NULL the farsight elements
  Fixes: NB#44183, NB#43548, NB#43203, NB#43204

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Fri, 10 Nov 2006 14:35:45 -0500

farsight (0.1.10-0osso2) unstable; urgency=low

  * Create a sink ghostpad on stream bin if there is a user defined pipeline

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Thu, 26 Oct 2006 10:26:43 -0400

farsight (0.1.10-0osso1) unstable; urgency=low

  * Properly do reference pads when using gst_pad_set_blocked_async
  * New stream error enums 

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed, 18 Oct 2006 19:45:30 -0400

farsight (0.1.9-0osso3) unstable; urgency=low

  * Really include set_sending fix.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 16 Oct 2006 14:12:25 +0100

farsight (0.1.9-0osso2) unstable; urgency=low

  * Fixed set_sending() to block send codec bin src pad

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Fri, 13 Oct 2006 03:04:13 -0400

farsight (0.1.9-0osso1) unstable; urgency=low

  * Set the recv_codec_id in rtpstream BEFORE sending the codec_changed signal
  * Make sure there is a pipeline before looking for a sink in get_sink()
  * Return 1 if upnp already initialized
  * Don't change directionality after stream has started (for now)
  * Correctly get peer pad in set_sending() if we are inside a bin (user defined pipeline)

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Thu, 12 Oct 2006 01:55:40 -0400

farsight (0.1.8-0osso3.1) unstable; urgency=low

  * version bumped up

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu,  5 Oct 2006 10:12:42 +0300

farsight (0.1.8-0osso3) unstable; urgency=low

  * Bring back uPnP support
  * Only call _stop() from main thread

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Thu, 21 Sep 2006 13:17:28 -0400

farsight (0.1.8-0osso2) unstable; urgency=low

  * Simply unlink source if there is a user provided pipeline until a better solution is decided on
  * Only add sink to farsight bin if he has no parent or there is no user defined pipeline
  * Some code cleanup
  * Fix set_sink() to properly handle inserting a NULL sink if there was an old non-NULL sink

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed, 20 Sep 2006 09:38:37 -0400

farsight (0.1.8-0osso1) unstable; urgency=low

  * Added a ->priv member and put everything in it
  * Removed get_bus function from API as it is not really required
  * Modified FarsightStreamState to only have DISCONNECTED, CONNECTED and CONNECTING states (oops), properly send directionnality in rtp plugin
  * Implement farsight_stream_set_sending()
  * Make Farsight capable of using a user specified GstPipeline instead of creating it's own (optional)
  * Bug fixes

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Sun, 10 Sep 2006 18:17:30 -0400

farsight (0.1.7-0osso3) unstable; urgency=low

  * Removed unused dynamic_pt_table code
  * Correctly map local and remote dynamic payload types, this means if the received remote codecs have different dynamic mappings than ours, we modify ours to match
  * No need for 3 copies of the list of codecs, one will suffice!

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Tue,  5 Sep 2006 18:09:47 -0400

farsight (0.1.7-0osso2.1) unstable; urgency=low

  * libgstreamer-plugins-base0.10-dev added to build-depends

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Fri,  1 Sep 2006 15:10:50 +0300

farsight (0.1.7-0osso2) unstable; urgency=low

  * Fixed stupid critical bug

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed, 30 Aug 2006 23:00:34 -0400

farsight (0.1.7-0osso1) unstable; urgency=low

  * Major work on all test applications as well as addition of new ones
  * Correctly handle dynamic payload types
  * Bug fixes
  * Some minor API additions (get_pipeline, get_media_type)

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed, 30 Aug 2006 19:12:23 -0400

farsight (0.1.6-0osso2) unstable; urgency=low

  * Added missing info to debian packaging to install config file

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Thu, 10 Aug 2006 18:50:27 -0400

farsight (0.1.6-0osso1) unstable; urgency=low

  * Previous release should have been 0.1.6

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed,  9 Aug 2006 15:10:06 -0400

farsight (0.1.5-0osso1) unstable; urgency=low

  * Rewrote gst element autopipeline building code
  * Added config file gstelements.conf

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed,  9 Aug 2006 06:11:27 -0400

farsight (0.1.4-0osso7) unstable; urgency=low

  * Added patch proposed by Visa Smolander (visa.smolander@nokia.com) to fix bug 33516 (NB#33516)

 -- Sergey Lapin <ext-sergey.lapin@nokia.com>  Mon, 26 Jun 2006 16:44:32 +0200

farsight (0.1.4-0osso6) unstable; urgency=low

  * New release
    - Add support for WANPPPConnection in uPnp. Fixes bug 32063.

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Sun, 18 Jun 2006 11:50:32 -0400

farsight (0.1.4-0osso5) unstable; urgency=low

  * New release
    - Removed default TURN server (noise)

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Fri, 16 Jun 2006 14:39:01 -0400

farsight (0.1.4-0osso4) unstable; urgency=low

  * Missing bug fix to "correctly use pt-map" patch

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Tue, 23 May 2006 01:04:25 -0400

farsight (0.1.4-0osso3) unstable; urgency=low

  * Change some g_warnings to g_messages
  * Make libfarsight-dev depend on clinkc-dev

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Thu, 18 May 2006 19:39:26 +0100

farsight (0.1.4-0osso2) unstable; urgency=low

  * New release 

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Thu, 11 May 2006 12:38:02 -0400

farsight (0.1.4-0osso1) unstable; urgency=low

  * New release

 -- Philippe Khalaf <burger@collabora.co.uk>  Wed, 10 May 2006 21:00:02 -0400

farsight (0.1.3-0osso2) unstable; urgency=low

  * New release

 -- Philippe Kalaf <philippe.kalaf@collabora.co.uk>  Fri, 28 Apr 2006 16:41:46 -0400

farsight (0.1.3-0osso1) unstable; urgency=low

  * Compile with clinkc
  * New upstream release

 -- Burger <burger@localhost.localdomain>  Wed, 19 Apr 2006 20:50:39 -0400

farsight (0.1.2-0osso4) unstable; urgency=low

  * Compile without clinkc for now (uPnP) 

 -- Philippe Khalaf <burger@collabora.co.uk>  Fri,  7 Apr 2006 00:21:44 -0400

farsight (0.1.2-0osso3) unstable; urgency=low

  * More code fix 

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed,  5 Apr 2006 16:14:46 -0400

farsight (0.1.2-0osso2) unstable; urgency=low

  * Code fix

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed,  5 Apr 2006 00:34:02 -0400

farsight (0.1.2-0osso1) unstable; urgency=low

  * New upstream relase

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Tue,  4 Apr 2006 17:35:06 +0300

farsight (0.1.1-2osso5) unstable; urgency=low

  * New release

 -- Philippe Kalaf <philippe.kalaf@collabora.co.uk>  Wed, 22 Mar 2006 21:48:06 -0500

farsight (0.1.1-2osso4) unstable; urgency=low

  * Replace, Conflict on old library name.

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Fri, 17 Mar 2006 17:32:22 +0000

farsight (0.1.1-2osso3) unstable; urgency=low

  * new release

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 14 Mar 2006 14:18:14 +0200

farsight (0.1.1-2osso2.2) unstable; urgency=low

  * libgstreamer0.10-dev is included to Depends: field of
    libfarsight0.1-dev package

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Mon, 13 Mar 2006 21:44:13 +0200

farsight (0.1.1-2osso2.1) unstable; urgency=low

  * sofia-sip removed from Build-Depends: field

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Mon, 13 Mar 2006 18:36:11 +0200

farsight (0.1.1-2osso2) unstable; urgency=low

  * New upstream release

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Fri, 10 Mar 2006 10:54:55 +0200

farsight (0.1-1) unstable; urgency=low

  * initial release

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Thu, 26 Jan 2006 11:55:03 +0200

